ICC helpers
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Functions
ICC helpers
Color » ICC Profile APIs

Functions to convert and interprete ICC defined enums. More...

Collaboration diagram for ICC helpers:

## Functions
const char * | oyProfileSignatureName (oySIGNATURE_TYPE_e type)
| provide UI name for oySIGNATURE_TYPE_e More...
const char * | oyProfileSignatureDescription (oySIGNATURE_TYPE_e type)
| provide UI description for oySIGNATURE_TYPE_e More...
int | oyICCColorSpaceGetChannelCount (icColorSpaceSignature color)
| number of channels in a color space More...
icColorSpaceSignature * | oyICCGetColorSpaceWithChannelCount (int channels_n)
| get color spaces using a certain number of channels More...
const char * | oyICCColorSpaceGetName (icColorSpaceSignature sig)
| name of a color space More...
const oyChar * | oyICCColorSpaceGetChannelName (icColorSpaceSignature sig, int pos, int type)
| channel names of a color space More...
oyCHANNELTYPE_e | oyICCColorSpaceToChannelLayout (icColorSpaceSignature sig, int pos)
| describe a channels characteristic More...
const oyChar * | oyICCTagDescription (icTagSignature sig)
| get tag description More...
const oyChar * | oyICCTagName (icTagSignature sig)
| get tag ~4 char name More...
const oyChar * | oyICCDeviceClassDescription (icProfileClassSignature sig)
| get the ICC profile icProfileClassSignature description More...
const oyChar * | oyICCPlatformDescription (icPlatformSignature platform)
| get the ICC profile platform description More...
const char * | oyICCCmmDescription (icSignature sig)
| get the ICC profile CMM description More...
const oyChar * | oyICCTagTypeName (icTagTypeSignature sig)
| get tag type ~4 char name More...
const oyChar * | oyICCTechnologyDescription (icTechnologySignature sig)
| get ICC profile icTechnologySignature description More...
const oyChar * | oyICCChromaticityColorantDescription (icSignature sig)
| get ICC profile Chromaticity Colorant description More...
const oyChar * | oyICCIlluminantDescription (icIlluminant sig)
| get ICC profile illuminant description More...
const oyChar * | oyICCStandardObserverDescription (icStandardObserver sig)
| get ICC profile Standard Observer description More...
const oyChar * | oyICCMeasurementGeometryDescription (icMeasurementGeometry sig)
| get ICC profile Measurement Geometry description More...
const oyChar * | oyICCMeasurementFlareDescription (icMeasurementFlare sig)
| get ICC profile Measurement Flare description More...

## Detailed Description

Functions to convert and interprete ICC defined enums.

## Function Documentation

## ◆ oyICCChromaticityColorantDescription()

const oyChar* oyICCChromaticityColorantDescription | ( | icSignature | sig | ) |

get ICC profile Chromaticity Colorant description

Function: oyICCChromaticityColorantDescription

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

## ◆ oyICCCmmDescription()

const char* oyICCCmmDescription | ( | icSignature | sig | ) |

get the ICC profile CMM description

Function: oyICCCmmDescription

Since
  Oyranos: version 0.9.6

References oyValueUInt32().

## ◆ oyICCColorSpaceGetChannelCount()

int oyICCColorSpaceGetChannelCount | ( | icColorSpaceSignature | color | ) |

number of channels in a color space

Function: oyICCColorSpaceGetChannelCount

Since
  Oyranos: version 0.1.8

Date
  november 2007 (API 0.1.8)

Referenced by oyICCColorSpaceGetChannelName(), oyICCColorSpaceToChannelLayout(), and oyProfile_s::oyProfile_GetChannelsCount().

## ◆ oyICCColorSpaceGetChannelName()

const oyChar* oyICCColorSpaceGetChannelName | ( | icColorSpaceSignature | sig,
|  | int | pos,
|  | int | type
| ) |  |

channel names of a color space

Function: oyICCColorSpaceGetChannelName

Since
  Oyranos: version 0.1.8

Date
  september 2007 (API 0.1.8)

References oyICCColorSpaceGetChannelCount(), oyNAME_DESCRIPTION, and oyNAME_NAME.

Referenced by oyProfile_s::oyProfile_GetChannelNames().

## ◆ oyICCColorSpaceGetName()

const char* oyICCColorSpaceGetName | ( | icColorSpaceSignature | sig | ) |

name of a color space

Function: oyICCColorSpaceGetName

Since
  Oyranos: version 0.1.8

Date
  november 2007 (API 0.1.8)

## ◆ oyICCColorSpaceToChannelLayout()

oyCHANNELTYPE_e oyICCColorSpaceToChannelLayout | ( | icColorSpaceSignature | sig,
|  | int | pos
| ) |  |

describe a channels characteristic

Function: oyICCColorSpaceToChannelLayout

Version
  Oyranos: 0.1.8

Since
  2008/07/29 (Oyranos: 0.1.8)

Date
  2008/07/29

References oyCHANNELTYPE_COLOR, oyCHANNELTYPE_COLOR_LIGHTNESS, oyCHANNELTYPE_LIGHTNESS, oyCHANNELTYPE_OTHER, and oyICCColorSpaceGetChannelCount().

## ◆ oyICCDeviceClassDescription()

const oyChar* oyICCDeviceClassDescription | ( | icProfileClassSignature | sig | ) |

get the ICC profile icProfileClassSignature description

Function: oyICCDeviceClassDescription

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

References oyValueUInt32().

## ◆ oyICCGetColorSpaceWithChannelCount()

icColorSpaceSignature* oyICCGetColorSpaceWithChannelCount | ( | int | channels_n | ) |

get color spaces using a certain number of channels

Parameters

  [in] | channels_n | desired color channels count

Returns
  zero terminated list of color spaces; The returned value is not reentrant.

Version
  Oyranos: 0.9.5

Date
  2013/12/14

Since
  2013/12/14 (Oyranos: 0.9.5)

## ◆ oyICCIlluminantDescription()

const oyChar* oyICCIlluminantDescription | ( | icIlluminant | sig | ) |

get ICC profile illuminant description

Function: oyICCIlluminantDescription

Version
  Oyranos: 0.1.8

Date
  2008/02/01

Since
  2005/00/00 (Oyranos: 0.1.8)

## ◆ oyICCMeasurementFlareDescription()

const oyChar* oyICCMeasurementFlareDescription | ( | icMeasurementFlare | sig | ) |

get ICC profile Measurement Flare description

Function: oyICCMeasurementFlareDescription

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

## ◆ oyICCMeasurementGeometryDescription()

const oyChar* oyICCMeasurementGeometryDescription | ( | icMeasurementGeometry | sig | ) |

get ICC profile Measurement Geometry description

Function: oyICCMeasurementGeometryDescription

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

## ◆ oyICCPlatformDescription()

const oyChar* oyICCPlatformDescription | ( | icPlatformSignature | platform | ) |

get the ICC profile platform description

Function: oyICCPlatformDescription

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

## ◆ oyICCStandardObserverDescription()

const oyChar* oyICCStandardObserverDescription | ( | icStandardObserver | sig | ) |

get ICC profile Standard Observer description

Function: oyICCStandardObserverDescription

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

## ◆ oyICCTagDescription()

const oyChar* oyICCTagDescription | ( | icTagSignature | sig | ) |

get tag description

Function: oyICCTagDescription

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

## ◆ oyICCTagName()

const oyChar* oyICCTagName | ( | icTagSignature | sig | ) |

get tag ~4 char name

Function: oyICCTagName

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

## ◆ oyICCTagTypeName()

const oyChar* oyICCTagTypeName | ( | icTagTypeSignature | sig | ) |

get tag type ~4 char name

Function: oyICCTagTypeName

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

## ◆ oyICCTechnologyDescription()

const oyChar* oyICCTechnologyDescription | ( | icTechnologySignature | sig | ) |

get ICC profile icTechnologySignature description

Function: oyICCTechnologyDescription

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

References oyValueUInt32().

## ◆ oyProfileSignatureDescription()

const char* oyProfileSignatureDescription | ( | oySIGNATURE_TYPE_e | type | ) |

provide UI description for oySIGNATURE_TYPE_e

Function oyProfileSignatureDescription

Version
  Oyranos: 0.9.4

Date
  2013/01/14

Since
  2013/01/14 (Oyranos: 0.9.4)

References oySIGNATURE_CLASS, oySIGNATURE_CMM, oySIGNATURE_COLOR_SPACE, oySIGNATURE_CREATOR, oySIGNATURE_DATETIME_DAY, oySIGNATURE_DATETIME_HOURS, oySIGNATURE_DATETIME_MINUTES, oySIGNATURE_DATETIME_MONTH, oySIGNATURE_DATETIME_SECONDS, oySIGNATURE_DATETIME_YEAR, oySIGNATURE_ILLUMINANT, oySIGNATURE_INTENT, oySIGNATURE_MAGIC, oySIGNATURE_MANUFACTURER, oySIGNATURE_MODEL, oySIGNATURE_OPTIONS, oySIGNATURE_PCS, oySIGNATURE_PLATFORM, oySIGNATURE_SIZE, and oySIGNATURE_VERSION.

## ◆ oyProfileSignatureName()

const char* oyProfileSignatureName | ( | oySIGNATURE_TYPE_e | type | ) |

provide UI name for oySIGNATURE_TYPE_e

Function oyProfileSignatureName

Version
  Oyranos: 0.9.4

Date
  2013/01/14

Since
  2013/01/14 (Oyranos: 0.9.4)

References oySIGNATURE_CLASS, oySIGNATURE_CMM, oySIGNATURE_COLOR_SPACE, oySIGNATURE_CREATOR, oySIGNATURE_DATETIME_DAY, oySIGNATURE_DATETIME_HOURS, oySIGNATURE_DATETIME_MINUTES, oySIGNATURE_DATETIME_MONTH, oySIGNATURE_DATETIME_SECONDS, oySIGNATURE_DATETIME_YEAR, oySIGNATURE_ILLUMINANT, oySIGNATURE_INTENT, oySIGNATURE_MAGIC, oySIGNATURE_MANUFACTURER, oySIGNATURE_MODEL, oySIGNATURE_OPTIONS, oySIGNATURE_PCS, oySIGNATURE_PLATFORM, oySIGNATURE_SIZE, and oySIGNATURE_VERSION.